
Infrastructure - Bug #6070

CNs missing GOA objects

2014-08-22 19:39 - Robert Waltz

Status: New Start date: 2014-08-22

Priority: Normal Due date: 2015-01-13

Assignee: Robert Waltz % Done: 0%

Category: d1_synchronization Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Milestone: None Story Points:  

Product Version: *   

Description

After the Upgrade to Java7, a bug appeared that caused failures in synchronization.  At least 40 objects from GOA did not

synchronize correctly. There may be objects from other MNs as well.

Related issues:

Related to Infrastructure - Story #6061: Post Tidy Data Consistency Closed 2014-05-07

History

#1 - 2014-09-24 18:14 - Robert Waltz

- Due date changed from 2014-08-22 to 2014-09-24

- Target version changed from 2014.30-Block.4.3 to Maintenance Backlog

#2 - 2015-01-13 17:48 - Dave Vieglais

- Due date changed from 2014-09-24 to 2015-01-13

Using the d1_client_bash tools:

$ export NODE="https://goa.nceas.ucsb.edu/goa/d1/mn"

$ d1listobjects -C 9999 -I > GOA_20150113.txt

$ wc -l GOA_20150113.txt

2376 GOA_20150113.txt

$ export NODE="https://cn.dataone.org/cn"

$ for pid in $(cat GOA_20150113.txt); do res=$(d1sysmeta -t "${pid}"); echo "$res, $pid" > test_cn.txt; done

$ grep "404," test_cn.txt

404, df35b.211.1

404, df35b.212.1

404, df35b.71.13

404, df35b.8.26

404, resourceMap_df35b.71.13

404, resourceMap_df35b.8.26
https://goa.nceas.ucsb.edu/goa/d1/mn
https://cn.dataone.org/cn


#3 - 2016-08-10 20:56 - Robert Waltz

- Milestone changed from CCI-1.3 to None
